Bug 55986 - iostat statistics in KB/s
iostat statistics in KB/s
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-09 16:29 EST by Frank Hirtz
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-12 15:16:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Hirtz 2001-11-09 16:29:43 EST
Description of Problem:
The iostat manpage says, in the BUGS section: 

Statistics in KB/s for each block device are not available by  default  due
 to Linux poor disk accounting.  For the   same reason,  a  kernel  patch 
need to be  applied  for extended statistics to be displayed.

Our performance tuning group only has tools to analyze system performance
in KB/s, not sectors/s.  What is the procedure for enabling this (the man
page says it's not available "by default" which means it should be
available by some mechanism)?

--MSDW request

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Trond Eivind Glomsrxd 2001-12-11 17:02:30 EST
So the request is?
Comment 2 Frank Hirtz 2001-12-11 17:05:33 EST
It's a Morgan Stanley feature request. They'd like to have this ability added.
Comment 3 Trond Eivind Glomsrxd 2001-12-12 15:16:30 EST
The extended information patch is part of the kernel, and the information has
been removed from the man page to avoid confusion.
Comment 4 Trond Eivind Glomsrxd 2002-02-28 18:21:16 EST
sysstat-4.0.3-1 from http://people.redhat.com/teg/sysstat/ has this capability.

Note You need to log in before you can comment on or make changes to this bug.